aboutsummaryrefslogblamecommitdiffstats
path: root/community/gsl/APKBUILD
blob: 99f301b07ca5849f466a360670f4158f9674c574 (plain) (tree)
1
2
3
4
5
6
7
8
9
10

                                                   
          
        
                                                            
                                               
          
                          

                                                       
                                                                    
 


                                                  
         
                      


                                 






                             


           
                      
                                      
 
 
                                                                                                                                                             
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gsl
pkgver=2.6
pkgrel=0
pkgdesc="Modern numerical library for C and C++ programmers"
url="https://www.gnu.org/software/gsl/gsl.html"
arch="all"
license="GPL-3.0-or-later"
subpackages="$pkgname-static $pkgname-dev $pkgname-doc"
source="https://ftp.gnu.org/gnu/gsl/gsl-$pkgver.tar.gz"
options="!check"		# x86 and aarch64 fail the testsuite

# dont-disable-deprecated.patch is workaround for:
# https://github.com/SciRuby/rb-gsl/issues/40

build() {
	cd "$builddir"
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr
	make
}

check() {
	cd "$builddir"
	make check
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}

sha512sums="0be8240715f0b86aba2c63d9f12da4dba4719d4e350e9308d279e0dd3b2f0519ea26fd2e38a17f3e8cf43aacbaa2455207a7ca0d6c305f3b8725e8ece2250a74  gsl-2.6.tar.gz"